#include <stdio.h>
#include <conio.h>
void main(void)
{
  float a,b,c;
  int	opcode;
  clrscr();

  gotoxy(1,10);
  textcolor(14);
  cprintf("      Введите арифметическую опперацию (+,-,*,/): \r\n");
  opcode=-1;
  while((opcode!='+')&&(opcode!='-')&&(opcode!='*')&&(opcode!='/'))
  {
	opcode=getch();
	if(opcode==27)
	{	cprintf("      Программа прервана: \r\n");
		return;
	}
  }

  cprintf("      %c\r\n",opcode);




  cprintf("      Введите первый аргумент: ");
  scanf("%f",&a);
  textcolor(9);
  cprintf("      Введите второй аргумент: ");
  scanf("%f",&b);

  switch(opcode)
  {
	case '+': c=a+b; break;
	case '-': c=a-b; break;
	case '*': c=a*b; break;
	case '/': c=a/b; break;
  }


  cprintf("      Результат   %.4f%c%.4f=%.15f",a,opcode,b,c);
  cprintf ("\r\n      Для выхода нажмите любую клавишу!!!");
  getch();
}